MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026788Community[OCCT] OCCT:Codingpublic2015-10-20 13:412016-04-20 15:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026788: Compiler warnings when OCCT_DEBUG is enabled
DescriptionOCE contains a patch for some warnings generated for a code within #ifdef OCCT_DEBUG, see https://github.com/blobfish/oce/commit/077d767f45fcbcb610398824f719edf5abd208d2 [^]

Since we do not build with OCCT_DEBUG enabled on Linux, it is worth taking this information into account and correct relevant code.
Steps To ReproduceBuild with OCCT_DEBUG set to 1 using GCC or CLang
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0047239)
git (administrator)
2015-10-20 19:45

Branch CR26788 has been created by abv.

SHA-1: 72167549c42db0031fb8b8f69a2e832d96060f70


Detailed log of new commits:

Author: abv
Date: Tue Oct 20 14:04:55 2015 +0300

    0026788: Compiler warnings when OCCT_DEBUG is enabled
    
    Clean-up in code causing warnings when OCCT_DEBUG is enabled
(0047240)
abv (manager)
2015-10-20 19:46

Correction pushed to CR26788, please review
(0047242)
kgv (developer)
2015-10-20 20:22

Please test the patch.
(0047268)
mkv (tester)
2015-10-21 13:10

Dear BugMaster,
Branch CR26788 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 72167549c42db0031fb8b8f69a2e832d96060f70

Number of compiler warnings:

occt component :
Linux: 8 (8 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)
(0047269)
mkv (tester)
2015-10-21 13:11

Dear BugMaster,
Branch CR26788 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Debug mode.
SHA-1: 72167549c42db0031fb8b8f69a2e832d96060f70

There are following compilation errors:
Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26788-master/job/CR26788-master_build_occt_linux_deb/1/parsed_console/ [^]

Number of compiler warnings:

occt component :
Windows: 0

products component :
Windows: 0 (0 on master)
(0047270)
mkv (tester)
2015-10-21 13:11

Dear abv,
Branch CR26788 has been rejected due to:
- compilation errors on Debug mode
(0047297)
mkv (tester)
2015-10-21 18:05

Dear abv,
Compilation procedure was corrected.
Branch CR26788 was recompiled on Linux platforms on Debug mode.

There are following compilation errors:
Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26788-master/job/CR26788-master_build_occt_products_linux_deb/2/parsed_console/ [^]

../../../../src/QMBgr/QMBgr_FacetBuilder.cxx:2497:3: error: need 'typename' before 'T<L>::Iterator' because 'T<L>' is a dependent scope
../../../../src/QMBgr/QMBgr_FacetBuilder.cxx:2497:18: error: expected ';' before 'aLIt'
../../../../src/QMBgr/QMBgr_FacetBuilder.cxx:2498:10: error: 'aLIt' was not declared in this scope

../../../../src/QMBgr/QMBgr_FacetBuilder.cxx:2497:3: error: dependent-name 'T<L>::Iterator' is parsed as a non-type, but instantiation yields a type

Number of compiler warnings:

occt component :
Linux: 7
(0047298)
abv (manager)
2015-10-21 18:20

Fix for compiler error of GCC compiler in debug mode (with DEB defined) introduced by fix for #26459 is pushed top branch CR26788 in Products repo
(0047299)
git (administrator)
2015-10-21 18:22

Branch CR26788 has been updated by abv.

SHA-1: 7a626df25b522e70f62a184d4847fc8bf2b3cf1f


Detailed log of new commits:

Author: abv
Date: Wed Oct 21 18:22:37 2015 +0300

    Minor corrections:
    - new compiler warnings on VC++ 14
    - rename of "PPC" variables that are said to caused conflicts on PowerPC
    - removal of unused header TopOpeBRep/TopOpeBRep_tools.hxx

(0047300)
abv (manager)
2015-10-21 18:29

I have pushed some additional corrections to CR26788, please test
(0047330)
mkv (tester)
2015-10-22 13:33

Dear BugMaster,
Branch CR26788 from occt git-repository (and CR26788 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 7a626df25b522e70f62a184d4847fc8bf2b3cf1f
SHA-1: bf12b188abd9b497c556fcfdad3daaa9c06e1c8a

Number of compiler warnings:

occt component :
Linux: 8 (8 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92037708 / 92268121 [-0.25%]
Total CPU difference: 19734.389999999847 / 19657.55999999973 [+0.39%]
products component :
Total MEMORY difference: 26238199 / 26295062 [-0.22%]
Total CPU difference: 7759.839999999982 / 7414.720000000001 [+4.65%]

Testing on Windows:
occt component :
Total MEMORY difference: 58027703 / 58040693 [-0.02%]
Total CPU difference: 18316.015009599356 / 17972.407206998967 [+1.91%]
products component :
Total MEMORY difference: 17155854 / 17161066 [-0.03%]
Total CPU difference: 5599.7338954999805 / 5653.991043299955 [-0.96%]

There are no differences in images found by testdiff.
(0047331)
mkv (tester)
2015-10-22 13:33

Dear BugMaster,
Branch CR26788 from occt git-repository (and CR26788 from products git-repository) was compiled on Linux and Windows platforms on Debug mode.
SHA-1: 7a626df25b522e70f62a184d4847fc8bf2b3cf1f
SHA-1: bf12b188abd9b497c556fcfdad3daaa9c06e1c8a

Number of compiler warnings:

occt component :
Linux: 7
Windows: 0

products component :
Linux: 35
Windows: 0
(0047332)
mkv (tester)
2015-10-22 13:33

Dear BugMaster,
Branch CR26788 is TESTED.
(0053213)
git (administrator)
2016-04-17 14:38

Branch CR26788 has been deleted by kgv.

SHA-1: 7a626df25b522e70f62a184d4847fc8bf2b3cf1f

- Related Changesets
occt: master 76363522
Timestamp: 2015-10-20 11:04:55
Author: abv
Committer: bugmaster
Details ] Diff ]
0026788: Compiler warnings when OCCT_DEBUG is enabled

Clean-up in code causing warnings when OCCT_DEBUG is enabled

Minor corrections:
- new compiler warnings on VC++ 14
- rename of "PPC" variables that are said to caused conflicts on PowerPC
- removal of unused header TopOpeBRep/TopOpeBRep_tools.hxx
mod - src/BinTools/BinTools_ShapeSet.cxx Diff ] File ]
mod - src/Bisector/Bisector_Inter.cxx Diff ] File ]
mod - src/Blend/Blend_Walking_4.gxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D_1.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_RibSlot.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd.cxx Diff ] File ]
mod - src/Draft/Draft_Modification_1.cxx Diff ] File ]
mod - src/Geom/Geom_OffsetSurface.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_GuideTrihedronAC.cxx Diff ] File ]
mod - src/Plate/Plate_LinearScalarConstraint.cxx Diff ] File ]
mod - src/Plate/Plate_LinearScalarConstraint.hxx Diff ] File ]
mod - src/Plate/Plate_LinearXYZConstraint.cxx Diff ] File ]
mod - src/Plate/Plate_LinearXYZConstraint.hxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_CORCommands.cxx Diff ] File ]
mod - src/TopOpeBRep/FILES Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeFiller.cxx Diff ] File ]
rm - src/TopOpeBRep/TopOpeBRep_tools.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-20 13:41 abv New Issue
2015-10-20 13:41 abv Assigned To => kgv
2015-10-20 19:45 git Note Added: 0047239
2015-10-20 19:46 abv Note Added: 0047240
2015-10-20 19:46 abv Status new => resolved
2015-10-20 19:46 abv Steps to Reproduce Updated View Revisions
2015-10-20 20:22 kgv Note Added: 0047242
2015-10-20 20:22 kgv Assigned To kgv => bugmaster
2015-10-20 20:22 kgv Status resolved => reviewed
2015-10-20 20:22 kgv Product Version => 6.9.1
2015-10-20 20:33 mkv Assigned To bugmaster => mkv
2015-10-21 13:10 mkv Note Added: 0047268
2015-10-21 13:11 mkv Note Added: 0047269
2015-10-21 13:11 mkv Note Added: 0047270
2015-10-21 13:11 mkv Assigned To mkv => abv
2015-10-21 13:11 mkv Status reviewed => assigned
2015-10-21 13:12 mkv Test case number => Not needed
2015-10-21 18:05 mkv Note Added: 0047297
2015-10-21 18:20 abv Note Added: 0047298
2015-10-21 18:22 git Note Added: 0047299
2015-10-21 18:29 abv Assigned To abv => kgv
2015-10-21 18:29 abv Status assigned => resolved
2015-10-21 18:29 abv Note Added: 0047300
2015-10-21 18:29 abv Assigned To kgv => bugmaster
2015-10-21 18:29 abv Status resolved => reviewed
2015-10-21 18:49 mkv Assigned To bugmaster => mkv
2015-10-22 13:33 mkv Note Added: 0047330
2015-10-22 13:33 mkv Note Added: 0047331
2015-10-22 13:33 mkv Note Added: 0047332
2015-10-22 13:33 mkv Assigned To mkv => bugmaster
2015-10-22 13:33 mkv Status reviewed => tested
2015-10-23 12:30 bugmaster Changeset attached => occt master 76363522
2015-10-23 12:30 bugmaster Status tested => verified
2015-10-23 12:30 bugmaster Resolution open => fixed
2016-04-17 14:38 git Note Added: 0053213
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:51 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker